MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004886AContentInstall/Upgradepublic2011-10-09 11:432013-03-15 10:58
ReporterIntuitiveNipple 
Assigned Toharris 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2, PHP 5.3.2OSUbuntu LinuxOS Version 10.04
Product Version 
Target VersionFixed in Version1.2 
Summary0004886: TR_ERROR_IMPORT_CARTRIDGE_FAILED is missing format specifier in database
DescriptionAll call sites using IMPORT_CARTRIDGE_FAILED pass an array containing the term and additional message string but the additional message isn't printed because the term text is missing a '%s' format-specifier.
Additional InformationSee also issue 0004885 "Message.printAbstract() should indicate when additional message parameters are not used"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005469)
IntuitiveNipple (developer)
2011-10-09 11:50

My proposed fix that implements (a) and (b) can be got via

git pull git://iam.tj/acontent.git [^] issue_4886

or see http://iam.tj/gitweb/?p=acontent.git;a=shortlog;h=refs/heads/issue_4886 [^]
(0005493)
harris (developer)
2011-10-28 12:06

I also checked the online translation on atutor.ca, '%s' is included there so it's just in our local language. Merging.
(0005494)
harris (developer)
2011-10-28 12:06

Merged pull request:
https://github.com/atutor/AContent/pull/6 [^]
(0006249)
greg (administrator)
2013-03-15 10:58

fixed in 1.3

- Issue History
Date Modified Username Field Change
2011-10-09 11:43 IntuitiveNipple New Issue
2011-10-09 11:50 IntuitiveNipple Note Added: 0005469
2011-10-28 12:06 harris Note Added: 0005493
2011-10-28 12:06 harris Note Added: 0005494
2011-10-28 12:06 harris Status new => resolved
2011-10-28 12:06 harris Fixed in Version => 1.2
2011-10-28 12:06 harris Resolution open => fixed
2011-10-28 12:06 harris Assigned To => harris
2013-03-15 10:58 greg Note Added: 0006249
2013-03-15 10:58 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker